#restricted-mode--banner {
  position: fixed;
  z-index: 999;
  top:0px;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 1rem;
  margin: 0;
  background-color: var(--color-background);
  color: var(--color-text);

}

#restricted-mode--form-container,
#restricted-mode--form-container form,
#restricted-mode--info {
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
}

#restricted-mode--form-container {
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

#restricted-mode--form-container form input {
  border-radius: 0px;
  border-width: 0;
  border-bottom: 1px solid black;
  padding: 15px 0px 5px;
  text-align: center;
}

#restricted-mode--form-container form input:focus {
  outline: none;
}

#restricted-mode--form-container form button {
  background: none;
  border: none;
  font-size: 50px;
  width: 80px;
  margin: 20px auto 0px;
  transition: 0.5s;
  user-select: none;
}

#restricted-mode--form-container form button:hover {
  transform: scale(1.3);
  cursor: pointer;
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
}

#restricted-mode--form-container form #error{
    width: 100%;
    text-align: center;
} 

#restricted-mode--info h1,
#restricted-mode--info p {
  margin: 0px;
  padding: 0px;
  margin: 0px;
  text-align: center;
}

#restricted-mode--info h1 {
  font-size: 70px;
  line-height: 90px;
  font-weight: normal;
}

/* -- Responsive -- */
/* Tablet */
@media (max-width: 991px) {
  #restricted-mode--info h1 {
    font-size: 40px;
    line-height: 50px;
  }
}

/* Mobile */
@media (max-width: 767px) {
  #restricted-mode--info h1 {
    font-size: 30px;
    line-height: 40px;
  }
}
